ActiveMQMessageTransformation (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQMessageTransformation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQMessageTransformation

    java.lang.Object
      org.codehaus.activemq.ActiveMQMessageTransformation

class ActiveMQMessageTransformation
extends Object

Transforms foreign Destinations and Messages to ActiveMQ formats

Version:
  $Revision: 1.12 $

Constructor Summary
`(package private)` | `ActiveMQMessageTransformation()`

Method Summary
`(package private) static ActiveMQDestination` | `transformDestination(Destination destination)`
`static ActiveMQMessage` | `transformMessage(Message message)` Creates a fast shallow copy of the current ActiveMQMessage or creates a whole new message instance from an available JMS message from another provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQMessageTransformation

    ActiveMQMessageTransformation()

Method Detail

### transformDestination

    static ActiveMQDestination transformDestination(Destination destination)
                                             throws JMSException

  Parameters:
    `destination` -
  Returns:
    an ActiveMQDestination
  Throws:
    `JMSException` - if an error occurs

### transformMessage

    public static final ActiveMQMessage transformMessage(Message message)
                                                  throws JMSException

  Creates a fast shallow copy of the current ActiveMQMessage or creates a whole new message instance from an available JMS message from another provider.

  Parameters:
    `message` -
  Returns:
    an ActiveMQMessage
  Throws:
    `JMSException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.